Page MenuHomeFreeBSD

lualoader: Create a module blacklist, add DRM modules to it
ClosedPublic

Authored by kevans on Aug 27 2018, 1:46 AM.

Details

Summary

This is a step in the process of easing migration into the new world order of DRM drivers. Strongly encourage users towards loading DRM modules via rc.conf(5) instead of loader.conf(5) by failing the load from loader(8). Users so inclined may wipe out the blacklist via module_blacklist="" in loader.conf(5), and it is expected that these modules will eventually be removed from the blacklist. They may still be loaded as dependencies of other modules or explicitly via the loader prompt, but this should not be a major problem.

Relnote: probably

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 19196

Event Timeline

kevans created this revision.Aug 27 2018, 1:46 AM
imp added a comment.Aug 27 2018, 3:05 AM

Seems straight forward enough... Not sure this is the right layer to put this functionality.
lemme cook on this.

In D16914#360550, @imp wrote:

Seems straight forward enough... Not sure this is the right layer to put this functionality.
lemme cook on this.

FWIW- I bounced it around a bit and landed here so that we stop people from just blindly loading it with *_load directives while not preventing one from dropping to a loader prompt and doing it manually if they really mean it.

imp added a comment.Aug 27 2018, 3:13 AM

Now all we need to do is get Devin to add it in forth and we'll be set :)
1/2 :)

imp added a comment.Aug 27 2018, 3:17 AM

btw, the 4th ask is just an ask, not a must have

stand/defaults/loader.conf.5
156

add a note here that says if you really want to, you can load the driver at the OK prompt or something.

This revision was not accepted when it landed; it landed in state Needs Review.Oct 7 2018, 1:54 AM
This revision was automatically updated to reflect the committed changes.